<div class="card" style="width: 18rem;">
    <div class="card-body" (click)="openInput()" [ngStyle]="{'background-image': 'url(' + imgUrl + ')'  }">
        <p class="card-text" [class.hidden]="show == true">Click to enter city</p>
        <div [class.invisible]="show == false" [class.hidden]="submitted == true">
            <form (submit)="checkApi()">
                <label for="exampleInputEmail1">Enter City:</label>
                <input  [(ngModel)]="city" name="city" placeholder="City Name" type="text" class="form-control" [class.is-invalid]="error != ''" aria-describedby="weatherDescribe">
                <small id="weatherDescribe" class="form-text text-muted">Obtain weather information of the city entered</small>
            </form>
            <p class="card-text text-danger">{{error}}</p>
        </div>
        <div class="spinner-border" role="status" [class.hidden]="loading == false">
            <span class="sr-only">Loading...</span>
          </div>

    <div *ngIf="weather" class="white-text" >
        <h5 class="card-title">{{weather.city}}</h5>
        <p class="card-text"><img src="{{iconUrl}}" alt="{{imgAlt}}">{{weather.mainDescription}}</p>
        <p class="card-text">{{weather.description}}</p>
        <p class="card-text">{{"temperature: " + weather.temp.toString() + "K"}}</p>
        <p class="card-text">{{"Wind:" + weather.windSpeed.toString() + "m/s"}}</p>
        <p class="card-text">{{"Pressure: " + weather.pressure.toString() + "hPa"}}</p>
        <p class="card-text">{{"Humidity: "+ weather.humidity.toString() + "%"}}</p>
        <button class="btn btn-primary" (click)="changeCity()" >Change City</button>
    </div>
    
    </div>
  </div>